"use client";

import React, { useEffect, useRef } from "react";
import Image from "next/image";

import bancoBogota_logo from "/public/assets/banco-bogota_logo.png";
import brilla_logo from "/public/assets/brilla_logo.jpg";
import sisteCredito_logo from "/public/assets/siste-credito_logo.png";
import addi_logo from "/public/assets/addi.png";
import chec_logo from "/public/assets/chec.jpg";
import romance_logo from "/public/assets/romance-relax.png";
import teAvalo_logo from "/public/assets/te-avalo.png";

import "./Network.css";

function addAnimation(scrollers) {
  scrollers.forEach((scroller) => {
    scroller.setAttribute("data-animated", true);

    const scrollerInner = scroller.querySelector(".scroller__inner");
    const scrollerContent = Array.from(scrollerInner.children);

    scrollerContent.forEach((item) => {
      const duplicatedItem = item.cloneNode(true);
      duplicatedItem.setAttribute("aria-hidden", true);
      scrollerInner.appendChild(duplicatedItem);
    });
  });
}

const Network = () => {
  const scrollersRef = useRef([]);

  useEffect(() => {
    if (typeof window !== "undefined") {
      const scrollers = document.querySelectorAll(".scroller");
      scrollersRef.current = scrollers;

      if (!window.matchMedia("(prefers-reduced-motion: reduce)").matches) {
        addAnimation(scrollers);
      }
    }
  }, []);
  return (
    <section
      className="
    w-full
    h-full
    p-0
    "
    >
      <div className="scroller" data-speed="slow">
        <div
          className="
        scroller__inner"
        >
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={bancoBogota_logo}
            alt="Banco Bogotá"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={brilla_logo}
            alt="Brilla"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={sisteCredito_logo}
            alt="Siste Crédito"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={addi_logo}
            alt="Addi"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={chec_logo}
            alt="Chec"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={romance_logo}
            alt="Romance Relax"
          />
          <Image
            className="h-10 md:h-10 w-fit"
            width={"auto"}
            src={teAvalo_logo}
            alt="Te Avalo"
          />
        </div>
      </div>
    </section>
  );
};

export default Network;
